using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;

namespace Mod
{
	class ColliderDebug : MonoBehaviour
    {
        void Update()
        {
            foreach (Collider2D coller in gameObject.GetComponents<Collider2D>())
            {
                ModAPI.Draw.Collider(coller); //Instance.AddComponent<ColliderDebug>(); (add this to instances)
            }
        }
    }
    public class Mod
    {
        public static void Main()
        {
	            CategoryBuilder.Create("LSA:BRAZIL", "Operation Land, Sea, Air: Brazil", ModAPI.LoadSprite("CategoryTN.png"));
                    CategoryBuilder.Create("LSA:DGC", "Operation Land, Sea, Air: DigiGang", ModAPI.LoadSprite("CategoryTN2.png"));			
		
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira7.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 5",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira8.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 6",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira9.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Com Máscara",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcom.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Com Máscara Variante 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcom.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira5.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Com Máscara Variante 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcom.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira6.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Com Máscara Variante 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "infantry soldiers in the front row ready to protect their nation.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcom.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira10.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Com Máscara Variante 5",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcom.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira11.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Com Máscara Variante 6",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcom.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaBrasileira12.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Aèrea Brasileira",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Air Force or Brazilian Air Force (in Portuguese, Força Aérea Brasileira, abbreviated FAB) is the airborne branch of the Brazilian Armed Forces and one of the three national military services of Brazil. It is the largest air force in Latin America and the second largest in the Americas behind the United States Air Force in terms of contingent, number of aircraft and firepower.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconair.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaAereaBrasileira.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Aèrea Brasileira Variante 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Air Force or Brazilian Air Force (in Portuguese, Força Aérea Brasileira, abbreviated FAB) is the airborne branch of the Brazilian Armed Forces and one of the three national military services of Brazil. It is the largest air force in Latin America and the second largest in the Americas behind the United States Air Force in terms of contingent, number of aircraft and firepower.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconair.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaAereaBrasileira2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Aèrea Brasileira Variante 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Air Force or Brazilian Air Force (in Portuguese, Força Aérea Brasileira, abbreviated FAB) is the airborne branch of the Brazilian Armed Forces and one of the three national military services of Brazil. It is the largest air force in Latin America and the second largest in the Americas behind the United States Air Force in terms of contingent, number of aircraft and firepower.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconair.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaAereaBrasileira3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/gorrocatingero.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaCaatinga.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 2 (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaCaatinga2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 3 (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaCaatinga3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 4 (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaCaatinga4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 5 (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaCaatinga5.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Soldado de Infantaria Brasileira Variante 6 (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Army has fought in several international conflicts, mostly in South America during the 19th century. In the 20th century, it fought on the Allied side in World War I and World War II.  Aligned with the Western Bloc, during the time of military dictatorship in Brazil from 1964 to 1985, it also had active participation in the Cold War, in Latin America and Southern Portuguese Africa, as well as taking part in UN peacekeeping missions worldwide since the late 1950s.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcat.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("InfantariaCaatinga6.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Piloto da Força Aérea Brasileira (FAB)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "The Brazilian Air Force (Portuguese Força Aérea Brasileira, FAB) is the air branch of the Brazilian Armed Forces and one of the three national uniformed services. The FAB was formed when the Army and Navy air branches were merged into a single military force initially called National Air Forces in 1941. Both air branches transferred their equipments, installations and personnel to the new force.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconfab.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("PilotoFAB.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );
 
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Comando de Operações Especiais (C Op Esp)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Is one of the Large Operational Units of the Brazilian Army, located in the municipality of Goiânia, state of Goiás. It is subordinated to the Planalto Military Command and linked for planning, preparation and employment purposes to the Land Operations Command (COTER), located in Brasília. It is part of the Army's Strategic Rapid Action Force, which makes it able to participate in operations in all military area commands.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcommand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/ComandoOperaçõesEspeciais.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Comando de Operações Especiais Variant 2 (C Op Esp)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Is one of the Large Operational Units of the Brazilian Army, located in the municipality of Goiânia, state of Goiás. It is subordinated to the Planalto Military Command and linked for planning, preparation and employment purposes to the Land Operations Command (COTER), located in Brasília. It is part of the Army's Strategic Rapid Action Force, which makes it able to participate in operations in all military area commands.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcommand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/ComandoOperaçõesEspeciais2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Comando de Operações Especiais Variant 3 (C Op Esp)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Is one of the Large Operational Units of the Brazilian Army, located in the municipality of Goiânia, state of Goiás. It is subordinated to the Planalto Military Command and linked for planning, preparation and employment purposes to the Land Operations Command (COTER), located in Brasília. It is part of the Army's Strategic Rapid Action Force, which makes it able to participate in operations in all military area commands.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcommand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/ComandoOperaçõesEspeciais3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Comando de Operações Especiais Variant 4 (C Op Esp)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Is one of the Large Operational Units of the Brazilian Army, located in the municipality of Goiânia, state of Goiás. It is subordinated to the Planalto Military Command and linked for planning, preparation and employment purposes to the Land Operations Command (COTER), located in Brasília. It is part of the Army's Strategic Rapid Action Force, which makes it able to participate in operations in all military area commands.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcommand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/ComandoOperaçõesEspeciais4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Comando de Operações Especiais Variant 5 (C Op Esp)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Is one of the Large Operational Units of the Brazilian Army, located in the municipality of Goiânia, state of Goiás. It is subordinated to the Planalto Military Command and linked for planning, preparation and employment purposes to the Land Operations Command (COTER), located in Brasília. It is part of the Army's Strategic Rapid Action Force, which makes it able to participate in operations in all military area commands.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcommand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/ComandoOperaçõesEspeciais5.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Comando de Operações Especiais Variant 6 (C Op Esp)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "Is one of the Large Operational Units of the Brazilian Army, located in the municipality of Goiânia, state of Goiás. It is subordinated to the Planalto Military Command and linked for planning, preparation and employment purposes to the Land Operations Command (COTER), located in Brasília. It is part of the Army's Strategic Rapid Action Force, which makes it able to participate in operations in all military area commands.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2iconcommand.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/ComandoOperaçõesEspeciais6.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grupamento de Mergulhadores de Combate (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O GRUMEC é uma unidade militar de mergulhadores de combate para operações especiais da Marinha do Brasil. Com doutrina semelhante a do US Navy SEALs e a do Special Boat Service britânico, a sua função é a de se infiltrar, sem ser percebida, em áreas litorâneas e ribeirinhas, e executar tarefas como reconhecimento, sabotagem e destruição de alvos de valor estratégico.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icongrumec.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/GRUMECoperador.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grupamento de Mergulhadores de Combate Variant 2 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O GRUMEC é uma unidade militar de mergulhadores de combate para operações especiais da Marinha do Brasil. Com doutrina semelhante a do US Navy SEALs e a do Special Boat Service britânico, a sua função é a de se infiltrar, sem ser percebida, em áreas litorâneas e ribeirinhas, e executar tarefas como reconhecimento, sabotagem e destruição de alvos de valor estratégico.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icongrumec.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/GRUMECoperador2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grupamento de Mergulhadores de Combate Variant 3 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O GRUMEC é uma unidade militar de mergulhadores de combate para operações especiais da Marinha do Brasil. Com doutrina semelhante a do US Navy SEALs e a do Special Boat Service britânico, a sua função é a de se infiltrar, sem ser percebida, em áreas litorâneas e ribeirinhas, e executar tarefas como reconhecimento, sabotagem e destruição de alvos de valor estratégico.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icongrumec.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/GRUMECoperador3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grupamento de Mergulhadores de Combate Variant 4 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O GRUMEC é uma unidade militar de mergulhadores de combate para operações especiais da Marinha do Brasil. Com doutrina semelhante a do US Navy SEALs e a do Special Boat Service britânico, a sua função é a de se infiltrar, sem ser percebida, em áreas litorâneas e ribeirinhas, e executar tarefas como reconhecimento, sabotagem e destruição de alvos de valor estratégico.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icongrumec.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/GRUMECoperador4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grupamento de Mergulhadores de Combate Variant 5 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O GRUMEC é uma unidade militar de mergulhadores de combate para operações especiais da Marinha do Brasil. Com doutrina semelhante a do US Navy SEALs e a do Special Boat Service britânico, a sua função é a de se infiltrar, sem ser percebida, em áreas litorâneas e ribeirinhas, e executar tarefas como reconhecimento, sabotagem e destruição de alvos de valor estratégico.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icongrumec.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/GRUMECoperador5.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Grupamento de Mergulhadores de Combate Variant 6 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "O GRUMEC é uma unidade militar de mergulhadores de combate para operações especiais da Marinha do Brasil. Com doutrina semelhante a do US Navy SEALs e a do Special Boat Service britânico, a sua função é a de se infiltrar, sem ser percebida, em áreas litorâneas e ribeirinhas, e executar tarefas como reconhecimento, sabotagem e destruição de alvos de valor estratégico.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/German2icongrumec.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("SF/GRUMECoperador6.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC2.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC3.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC4.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 5",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC5.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 6",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC6.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 7",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC7.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 8 (WARLORDS REFERENCE)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "This is a reference to MilitaryMod Warlords mod, by Chumplebean.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC8.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 9",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC9.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 10",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC10.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 11",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC11.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 12",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC12.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 13",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC13.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 14",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC14.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 15",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC15.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 16",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC16.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 17",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC17.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 18",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC18.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 19",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC19.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Criminal de GangDGC Variant 20",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "assassins, sicarios and very dangerous drug traffickers, who control most of the areas in the favelas. they had this cartel more than 10 gang wars where the brazilian army had to intervene.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GangDGC.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("GangDGC20.png");
                        var flesh = ModAPI.LoadTexture("6f_flesh.png");
                        var bone = ModAPI.LoadTexture("6f_bone.png");
                        Instance.GetComponent<PersonBehaviour>().SetBodyTextures(skin, flesh, bone);

                        //get person
                        var person = Instance.GetComponent<PersonBehaviour>();
                        person.SetBodyTextures(skin, flesh, bone, 6f);
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Piloto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "to be able to breathe in a fighter at 20,000m altitude.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/CapacetePiloto.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/CapacetePiloto.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
                           
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Piloto Variante 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "to be able to breathe in a fighter at 20,000m altitude.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/CapacetePiloto.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/CapacetePiloto2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT com Capa",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGT2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT (TIRA REMOVIDA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGT3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT com Capa (TIRA REMOVIDA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGT4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT (CAPA E ÓCULOS)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGT5.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT com Capa (CAPA E ÓCULOS)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGT6.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT com Capa (AFI)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGTA.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT com Capa (CAPA E ÓCULOS AFI)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGT.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PASGTA2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Pintura de Rostro Militar",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "face painting to hide your face and blend in with the surroundings.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/facepaint.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/PinturaDeRostro.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete de Proteção PASGT (UN Variant)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian army, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/PASGTun.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/UNPASGT.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Òculos Militares Pretos",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "standard goggles.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/goggles.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/OculosPretos.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Òculos Militares Tan",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "standard goggles.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/goggles.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/OculosTan.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Preto (COMMANDO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/commandofast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CommandoFast1.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Preto Variant 2 (COMMANDO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/commandofast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CommandoFast2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Preto Variant 3 (COMMANDO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/commandofast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CommandoFast3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Preto Variant 4 (COMMANDO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/commandofast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CommandoFast4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 2 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 3 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 4 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 5 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC5.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 6 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC6.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 7 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC7.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capacete Opscore Fast Multicam Variant 8 (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "helmet for the brazilian commando, it will save your life.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/grumecfast.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/FastGRUMEC8.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Máscara de Mergulho Militar",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "to cover your nose and be able to see better underwater.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GRUMECSeticon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/MáscaradeMergulhoMilitar.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Òculos de sol",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "sunglasses, thats all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/sunglasses.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Sunglasses.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Òculos de sol Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "sunglasses, thats all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/sunglasses.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SunglassesN.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Shemagh Militar Então",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a shemagh to protect ur neck and be cool.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Shemagh.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ShemaghMilitar.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Shemagh Militar Verde",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a shemagh to protect ur neck and be cool.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Shemagh.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ShemaghMilitar2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné Improvisado com Camiseta Branca",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a t-shirt that has been used as a cap and that's it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TheHoodClassicShirtReal.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéCamisetaBranca.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné Improvisado com Camiseta Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a t-shirt that has been used as a cap and that's it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TheHoodClassicShirtRealBLK.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéCamisetaPreto.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné Improvisado com Camiseta Vermelho",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a t-shirt that has been used as a cap and that's it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/TheHoodClassicShirtRealRED.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéCamisetaVermelho.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a beanie...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/beanie.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéPreto.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné Azul",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a beanie...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/beanie.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéAzul.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné Verde",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a beanie...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/beanie.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéVerde.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Cabelo de Gangster",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "hair to not be bald and have a good style.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/hair1.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/CabeloFacha.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Cabelo de Gangster Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "hair to not be bald and have a good style.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/hair2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/CabeloFacha2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster Variant 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster Variant 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster Variant 4",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha4.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster Variant 5",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha5.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster Variant 6",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha6.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boné De Gangster Variant 7",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a cap...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BonéFacha.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BonéFacha7.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );



                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Bandana Branca",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a bandana to hide the face of the law.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/bandana.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BandanaBranca.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Bandana Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a bandana to hide the face of the law.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/bandana.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BandanaPreto.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Bandana Vermelho",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a bandana to hide the face of the law.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/bandana.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BandanaVermelho.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Bandana Branca Bajada",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "the bandana but lowered, I don't know why you lower the bandana but ok.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/bandanalow.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BandanaBrancaBajada.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Bandana Preto Bajada",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "the bandana but lowered, I don't know why you lower the bandana but ok.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/bandanalow.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BandanaPretoBajada.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Bandana Vermelho Bajada",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "the bandana but lowered, I don't know why you lower the bandana but ok.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/bandanalow.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/BandanaVermelhoBajada.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boina Militar do Exército Brasileiro ",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a military beret...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/boina.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BoinaMilitar.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boina Militar do Infantaria da Força Aérea Brasileira",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a military beret...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/boina.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BoinaMilitar2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Boina Militar das Nações Unidas",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a military beret...yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/boina.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BoinaMilitarUN.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Chapéu de Jungla",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a hat for the jungle, do you know how hard the sun hits in summer? Yes, a lot.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/boonie.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ChapéuJungla.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Chapéu de Jungla Variante 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a hat for the jungle, do you know how hard the sun hits in summer? Yes, a lot.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/boonie.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ChapéuJungla2.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Chapéu de Jungla Variante 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a hat for the jungle, do you know how hard the sun hits in summer? Yes, a lot.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/boonie.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ChapéuJungla3.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                          ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Chapéu de Caatinga",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "sniper hat, It protects you from the heat. there is nothing else, what did you expect.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/chapeucatingosoicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ChapéuCaatinga.png", 6f); //file and scale
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Insulator"),
                    NameOverride = "Mochila Militar",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "good fabric, resistant, made to store many things even heavy.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/mochilaicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/MochilaMilitarPadrão.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 0;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Proteção Do Pescoço",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save ur neck men.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/laprotecao.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ProteçãoDoPescoço.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );
 
                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiro.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Inferior",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiro2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Proteção Do Pescoço Variante M81",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save ur neck men.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/laprotecao.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ProteçãoDoPescoço2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Variante M81",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiro3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Inferior Variante M81",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiro4.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Inferior (MUNIÇÃO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiro5.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Inferior Variante M81 (MUNIÇÃO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiro6.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Proteção Do Pescoço Variante Infanteria Aerea",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save ur neck men.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/laprotecao.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ProteçãoDoPescoço3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "Head";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Variante Infanteria Aerea",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiroA.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Brasileiro Inferior Variante Infanteria Aerea (BAGS)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/VestoBrasileiro.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteBrasileiroA2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Piloto de FAB",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/coletepilotoicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColetePiloto.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete Inferior de Piloto de FAB",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/coletepilotoicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColetePiloto2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Otter 3M top (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/coleteCTicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteCTBrasileiro.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Otter 3M Inferior (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/coleteCTicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteCTBrasileiro2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Proteção Otter 3M Inferior Variante 2 (CAATINGA)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/coleteCTicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColeteCTBrasileiro3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "CIRAS Vest top (Commando)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/CIRASicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CIRASPortaPlacas.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "CIRAS Vest bottom (Commando)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/CIRASicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CIRASPortaPlacas2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capa Colete Balìstico G5 top (Commando)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/G5icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/ColeteBalìsticoG5.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Capa Colete Balìstico G5 bottom (Commando)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/G5icon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/2ColeteBalìsticoG5.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "AVS Porta Placas top (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/AVSicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/AVSPortaPlacas.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "AVS Porta Placas bottom (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/AVSicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/AVSPortaPlacas2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "DCS Porta Placas top (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/DCSicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/DCSPortaPlacas.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "DCS Porta Placas bottom (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/DCSicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/DCSPortaPlacas2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Tanquede de Oxigênio",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "to be able to breathe in the water.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GRUMECSeticon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/TanquedeOxigênio.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Mergulhador top",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "light to be able to dive well.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GRUMECSeticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/ColeteMergulhador.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Colete de Mergulhador bottom",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "light to be able to dive well.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/GRUMECSeticon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/ColeteMergulhador2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Relógio de Ouro Rolex",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "what a good watch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/rolexicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Rolex.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Deiretas Tacticas Verdes",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasVerdes.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Deiretas Tacticas Verdes (NOT FINGERS)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasVerdes3.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Deiretas Tacticas Pretos",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasPretos.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Deiretas Tacticas Tan",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasTan.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Deiretas de Couro",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasCouro.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Esquerdas Tacticas Verdes",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasVerdes2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Esquerdas Tacticas Verdes (NOT FINGERS)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasVerdes4.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Esquerdas Tacticas Pretos",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasPretos2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Esquerdas Tacticas Tan",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasTan2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Luvas Esquerdas de Couro",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a cool gloves....yes, that's all.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/leluvas.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/LuvasCouro2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerArm";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );


                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Equipamento de Peito Alice (TOP)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/alicerig.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/AliceRig.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Equipamento de Peito Alice (MID)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "save your ammunition, medicine, food and much more, you will need it.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/alicerig.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/AliceRig2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "MiddleBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Equipamento de Peito Alice (DOWN)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/alicerig.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/AliceRig3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cinturão Militar",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Cinturao.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/CinturãoMilitar.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cinturão Militar Variante 2",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Cinturao.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/CinturãoMilitar2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cinturão Militar Variante 3",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Cinturao.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/CinturãoMilitar4.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cinturão Tactico (COMMANDO)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/cinturaotactico.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CinturãoTactico.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cinturão Tactico (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/cinturaotactico2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/CinturãoTactico2.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cinturão Com Kit de Primeiros Socorros",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a belt containing medicine and more ammo.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/medikit.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/CinturãoMilitar3.png", 6f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "LowerBody";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
	    );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Coldre Verde",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a holster to store your gun",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Holstericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColdreVerde.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Coldre Verde Sem Arma",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a holster to store your gun",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Holstericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColdreVerde2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Coldre Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a holster to store your gun",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Holstericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColdrePreto.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Coldre Preto Sem Arma",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a holster to store your gun",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Holstericon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ColdrePreto2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bolsa de Perna Militar Verde",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a bag in the leg",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BolsaPerna.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BolsaPerna.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bolsa de Perna Militar Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "just a bag in the leg",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/BolsaPerna.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/BolsaPerna2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Joelheira Direita Militar Verde",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with cni pads",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Joelheira.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/JoelheiraVerde.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Joelheira Esquerda Militar Verde",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with cni pads",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Joelheira.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/JoelheiraVerde.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Joelheira Direita Militar Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with cni pads",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Joelheira.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/JoelheiraPreto.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Joelheira Esquerda Militar Preto",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with cni pads",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Joelheira.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/JoelheiraPreto2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Joelheira Direita Militar Tan",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with cni pads",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Joelheira.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/JoelheiraTan.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLegFront";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Joelheira Esquerda Militar Tan",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "protect your fragile knees with cni pads",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Joelheira.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/JoelheiraTan2.png", 12f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperLeg";
                        armor.armorTier = 2;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Militar Brasileño",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Parcheicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ParcheBrasileiro.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Militar Brasileño (FLAG)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Parcheicon.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ParcheBrasileiro2.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Militar Brasileño Variante 2 (FLAG)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Parcheicon2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ParcheBrasileiro3.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Militar Brasileño Variante 3 (FLAG)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Parcheicon3.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ParcheBrasileiro4.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Militar Brasileño Variante 4 (FLAG)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/Parcheicon4.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/ParcheBrasileiro5.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Militar Brasileño UN (UNITED NATIONS)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a patch in order to keep peace in the nations.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ParcheiconUN.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Armor/UnitedNationsPatch.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Forzas Especiais",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a special patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ParcheiconSF.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/ForzasEspeciaisParche.png", 22f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );

                           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Parche Grupamento de Mergulhadores de Combate (GRUMEC)",
                    NameToOrderByOverride = "!",
                    DescriptionOverride = "a special patch.",
                    CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                    ThumbnailOverride = ModAPI.LoadSprite("icons/ParcheiconSF2.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/GRUMECPatch.png", 39f);
                        ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

                        armor.stabResistance = 15f;
                        armor.armorPiece = "UpperArmFront";
                        armor.armorTier = 1;

                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.01f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.01f;
                        Instance.FixColliders();
                    }
                }
            );  

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Imbel-Ia2",
                 DescriptionOverride = "The Imbel IA2 Assault Rifle, designed and built in Brazil by IMBEL, is designed to replace the FAL, M16A2 and HK33 currently in service with the Brazilian Armed Forces.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/IA2icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/Imbelia2slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/Imbelia2.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/Imbel2.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Imbel-Ia2 Variant 2",
                 DescriptionOverride = "The Imbel IA2 Assault Rifle, designed and built in Brazil by IMBEL, is designed to replace the FAL, M16A2 and HK33 currently in service with the Brazilian Armed Forces.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/IA2icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/Imbelia2slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/2Imbelia2.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/Imbel2.wav"),
                     };
                 }
             }
             ); ;

ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "HK-33A3",
                 DescriptionOverride = "The HK33 is a 5.56mm caliber assault rifle developed in the 1960s by the West German arms manufacturer Heckler & Koch, primarily for export.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/HK33icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/HK33A3slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/HK33A3.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/HK33.mp3"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "HK-33A3 Variant 2",
                 DescriptionOverride = "The HK33 is a 5.56mm caliber assault rifle developed in the 1960s by the West German arms manufacturer Heckler & Koch, primarily for export.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/HK33icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/HK33A3slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/2HK33A3.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/HK33.mp3"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Colt-M16A3",
                 DescriptionOverride = "The M16 (officially Rifle, Caliber 5.56mm, M16) is the United States Armed Forces designation for a variation of the AR-15 rifle. The Colt company purchased the rights to the AR-15 from ArmaLite and currently only uses that designation for semi-automatic versions of the rifle.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/M16icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/ColtM16A3slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/ColtM16A3.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/M16.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Colt-M16A3 Variant 2",
                 DescriptionOverride = "The M16 (officially Rifle, Caliber 5.56mm, M16) is the United States Armed Forces designation for a variation of the AR-15 rifle. The Colt company purchased the rights to the AR-15 from ArmaLite and currently only uses that designation for semi-automatic versions of the rifle.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/M16icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/ColtM16A3slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/2ColtM16A3.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/M16.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Daniel-Defense-Mk-18",
                 DescriptionOverride = "an American MK 18, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MK18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Daniel-Defense-Mk-18 Variant 2",
                 DescriptionOverride = "an American MK 18, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/2MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MK18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Daniel-Defense-Mk-18 Variant 3",
                 DescriptionOverride = "an American MK 18, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/3MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MK18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Daniel-Defense-Mk-18 Variant 4",
                 DescriptionOverride = "an American MK 18, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MK18icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/3MK18.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MK18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Falkor-Defense-PDW",
                 DescriptionOverride = "an American PDW, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/PDWicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/PDW.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MK18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Falkor-Defense-PDW Variant 2",
                 DescriptionOverride = "an American PDW, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/PDWicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/PDW2.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MK18.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "AR-15",
                 DescriptionOverride = "an American AR 15, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/AR15icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/AR15.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AR15.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "AR-15 Modified",
                 DescriptionOverride = "an American AR 15, stoled by GangDGC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/AR15icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/SlideBlackRifles.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/2AR15.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AR15.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Colt-M4",
                 DescriptionOverride = "The Colt M4 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Gangs.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/ColtM4icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/ColtM4slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/ColtM4.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/CM4.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Colt-M4 Modified",
                 DescriptionOverride = "The Colt M4 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Gangs.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/ColtM4icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/ColtM4slide2.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/2ColtM4.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/CM4.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Colt-M4 Modified Variant 2",
                 DescriptionOverride = "The Colt M4 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Gangs.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/ColtM4icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/ColtM4slide2.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/3ColtM4.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/CM4.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "FN-FAL",
                 DescriptionOverride = "During the Cold War, the FAL was adopted by many North Atlantic Treaty Organization (NATO) countries, with the notable exception of the United States. It is one of the most widely used rifles in history, having been used by over 90 countries.[4][page needed] It is chambered in 7.62×51mm NATO (although originally designed for the British .280 intermediate).",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/FNFALicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FNFalslide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FNFal.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/FNFal.mp3"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "FN-FAL Variant 2",
                 DescriptionOverride = "During the Cold War, the FAL was adopted by many North Atlantic Treaty Organization (NATO) countries, with the notable exception of the United States. It is one of the most widely used rifles in history, having been used by over 90 countries.[4][page needed] It is chambered in 7.62×51mm NATO (although originally designed for the British .280 intermediate).",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/FNFALicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FNFalslide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/FNFal2.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/FNFal.mp3"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MPX",
                 DescriptionOverride = "The SIG MPX is a gas-operated submachine gun designed and manufactured by SIG Sauer, and is primarily chambered in 9×19mm Parabellum cartridge.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MPXslide.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/MPXslide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/MPX.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MPX.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "MPX Variant 2",
                 DescriptionOverride = "The SIG MPX is a gas-operated submachine gun designed and manufactured by SIG Sauer, and is primarily chambered in 9×19mm Parabellum cartridge.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/MPXslide.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/MPXslide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/MPX2.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/MPX.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Taurus PT-92",
                 DescriptionOverride = "The Taurus PT92 is a double action/single action, double-stack-magazine fed, short recoil-operated, semi-automatic 9mm pistol manufactured by Taurus in the Beretta factory in São Paulo, Brazil.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/PT92icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/TaurusPT92bolt.png", 24f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Guns/TaurusPT92.png",24f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/PT92.mp3"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock-17",
                 DescriptionOverride = "The company's founder, engineer Gaston Glock, had no weapons design or manufacturing experience at the time he was developing the prototype for his first pistol, the Glock 17.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/glockicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Glock17bolt.png", 24f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Glock17.png",24f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/G17.wav"),
                     };
                 }
             }
             ); ;

                       ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock-17 Variant 2",
                 DescriptionOverride = "The company's founder, engineer Gaston Glock, had no weapons design or manufacturing experience at the time he was developing the prototype for his first pistol, the Glock 17.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/glockicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Glock17bolt2.png", 24f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/2Glock17.png",24f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = false;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/G17.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock-17 Drum Mag (FULL AUTO)",
                 DescriptionOverride = "The company's founder, engineer Gaston Glock, had no weapons design or manufacturing experience at the time he was developing the prototype for his first pistol, the Glock 17.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/glockicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Glock17DrumMagbolt.png", 24f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Glock17DrumMag.png",24f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/G17.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("Pistol"),
                 NameOverride = "Glock-17 Drum Mag Variant 2 (FULL AUTO)",
                 DescriptionOverride = "The company's founder, engineer Gaston Glock, had no weapons design or manufacturing experience at the time he was developing the prototype for his first pistol, the Glock 17.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/glockicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/Glock17DrumMagbolt2.png", 24f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/2Glock17DrumMag.png",24f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
					 Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.250f, 0.1200f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);					 
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
					  Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.08f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/G17.wav"),
                     };
                 }
             }
             ); ;

                       ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "AKM",
                 DescriptionOverride = "Kalashnikov Automatic Rifle Modernized) is a 7.62×39mm Kalashnikov assault rifle designed by Mikhaovil.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/AKMicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/AKMslide.png", 19f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/AKM.png", 19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AKM.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "AKMS",
                 DescriptionOverride = "Kalashnikov Automatic Rifle Modernized) is a 7.62×39mm Kalashnikov assault rifle designed by Mikhaovil.",
                 CategoryOverride = ModAPI.FindCategory("LSA:DGC"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/AKMicon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/AKMslide.png", 19f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("NarcoGear/AKMS.png", 19f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/AKM.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Especial-M4A1",
                 DescriptionOverride = "The M4A1 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Brazilian Commandos and GRUMEC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/M4A1icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/M4A1slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/M4A1.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/EspecialM4.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Especial-M4A1 Variant 2",
                 DescriptionOverride = "The M4A1 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Brazilian Commandos and GRUMEC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/M4A1icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/M4A1slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/2M4A1.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/EspecialM4.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Especial-M4A1 Variant 3",
                 DescriptionOverride = "The M4A1 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Brazilian Commandos and GRUMEC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/M4A1icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/M4A1slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/3M4A1.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/EspecialM4.wav"),
                     };
                 }
             }
             ); ;

                        ModAPI.Register(
             new Modification()
             {
                 OriginalItem = ModAPI.FindSpawnable("M1 Garand"),
                 NameOverride = "Especial-M4A1 Variant 4",
                 DescriptionOverride = "The M4A1 belongs to the family of automatic rifles in carbine version, derived from the AR-15 rifle, manufactured by the American company Colt. Used by Brazilian Commandos and GRUMEC.",
                 CategoryOverride = ModAPI.FindCategory("LSA:BRAZIL"),
                 ThumbnailOverride = ModAPI.LoadSprite("icons/M4A1icon.png", 30f),
                 AfterSpawn = (Instance) =>
                 {
ModAPI.KeepExtraObjects();
                        var ThompsonSlide = Instance.transform.Find("Slide");
                        ThompsonSlide.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/M4A1slide.png", 15f);
                     Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("SF/4M4A1.png", 15f);
                     var firearm = Instance.GetComponent<FirearmBehaviour>();
                     Cartridge customCartridge = ModAPI.FindCartridge("5.56x45mm");
                     Instance.GetComponent<FirearmBehaviour>().barrelPosition = new Vector2(0.700f, 0.1000f);  
                     firearm.casingPosition = new Vector3(-0.250f,0.100f);                     
                     customCartridge.name = "5.56x45mm";
                     customCartridge.Recoil *= 4f;
                     firearm.Cartridge = customCartridge;
                      Instance.GetComponent<FirearmBehaviour>().Automatic = true;
                       Instance.GetComponent<FirearmBehaviour>().AutomaticFireInterval = 0.1f;
                     Instance.FixColliders();
                     firearm.ShotSounds = new AudioClip[]
                     {
                        ModAPI.LoadSound("sfx/EspecialM4.wav"),
                     };
                 }
             }
             ); ;
        } 
    }
	
}